package main

import (
	"git.swzry.com/zry/GoGPIO_AM335x/GoGPIO_AM335x"
	"fmt"
	"time"
)

func main()  {
	gdev,err := GoGPIO_AM335x.NewGPIO_Device(GoGPIO_AM335x.GPIO_DefaultDeviceFile)
	if err != nil{
		fmt.Println("Failed Open GPIO: ",err.Error())
		return
	}
	beeper := GoGPIO_AM335x.NewGPIO_Pin(1,18,GoGPIO_AM335x.GPIO_PINMODE_OUTPUT,false)
	fmt.Println("Beeper Init...")
	err = gdev.InitPin(beeper)
	if err != nil{
		fmt.Println("Beeper Init Failed: ",err.Error())
		return
	}
	fmt.Println("Beep...")
	err = gdev.SetPin(beeper,true)
	if err != nil{
		fmt.Println("Beeper Set Failed: ",err.Error())
		return
	}
	time.Sleep(time.Millisecond * 200)
	fmt.Println("Stop...")
	err = gdev.SetPin(beeper,false)
	if err != nil{
		fmt.Println("Beeper Set Failed: ",err.Error())
		return
	}
	fmt.Println("OK.")
}